<?php
/**
 * Copyright (c) 2014-2018, yunsheji.cc
 * All right reserved.
 *
 * @since 1.1.0
 * @package Marketing
 * @author 云设计
 * @date 2018/02/14 10:00
 * @link https://yunsheji.cc
 */
?>
<?php

/**
 * Class HotReviewPosts
 */
class HotProduct extends WP_Widget {
    function __construct() {
        parent::__construct(false, __('TT-热门商品', 'tt'), array( 'description' => __('Marketing专用：显示热门商品', 'tt') ,'classname' => 'widget_hot-posts widget_hotreviewed-posts wow bounceInRight'));
    }

    function widget($args, $instance) {
        // parent::widget($args, $instance); // TODO: Change the autogenerated stub
        // extract($args);
        $vm = HotReviewedProductsVM::getInstance($instance['num']);
        if($vm->isCache && $vm->cacheTime) {
            echo '<!-- Hot reviewed posts widget cached ' . $vm->cacheTime . ' -->';
        }
        $hotreviewed_Products = $vm->modelData;
        ?>
        <?php echo $args['before_widget']; ?>
        <?php if($instance['title']) { echo $args['before_title'] . $instance['title'] . $args['after_title']; } ?>
        <div class="widget-content">
            <?php foreach ($hotreviewed_Products as $hotreviewed_Product) { ?>
                <article id="<?php echo 'post-' . $hotreviewed_Product['ID']; ?>" class="post type-post status-publish hotreview-post">
                    <div class="entry-thumb hover-scale">
                        <a href="<?php echo $hotreviewed_Product['permalink']; ?>"><img width="200" height="136" src="<?php echo LAZY_PENDING_IMAGE; ?>" data-original="<?php echo $hotreviewed_Product['thumb']; ?>" class="thumb-small wp-post-image lazy" alt="<?php echo $hotreviewed_Product['title']; ?>"></a>
                    </div>
                    <div class="entry-detail">
                        <h2 class="entry-title"><a href="<?php echo $hotreviewed_Product['permalink']; ?>" rel="bookmark"><?php echo $hotreviewed_Product['title']; ?></a></h2>
                        <div class="entry-meta entry-meta-1">
                            <span class="view-count text-muted"><i class="tico tico-eye"></i><?php echo $hotreviewed_Product['views']; ?></a></span>
                            <span class="view-count text-muted"><i class="tico tico-truck"></i><?php echo $hotreviewed_Product['sales']; ?></a></span>
                            <?php if(!($hotreviewed_Product['price'] > 0)) { ?>
                            <span class="price price-free"><?php _e('FREE', 'tt'); ?></span>
                            <?php }elseif(!isset($hotreviewed_Product['discount'][0]) || $hotreviewed_Product['min_price'] >= $hotreviewed_Product['price']){ ?>
                            <span class="price"><?php echo $hotreviewed_Product['price_icon']; ?><?php echo $hotreviewed_Product['price']; ?></span>
                            <?php }else{ ?>
                            <span class="price">
                            <del><span class="price original-price"><?php echo $hotreviewed_Product['price_icon']; ?><?php echo $hotreviewed_Product['price']; ?></span></del>
                            <?php echo $hotreviewed_Product['price_icon']; ?><ins><span class="price discount-price"><?php echo $hotreviewed_Product['min_price']; ?></span></ins>
                            </span>
                            <?php } ?>
                        </div>
                    </div>
                </article>
            <?php } ?>
        </div>
        <?php echo $args['after_widget']; ?>
        <?php
    }

    function update($new_instance, $old_instance) {
        // TODO 清除小工具缓存

        return $new_instance;
    }

    function form($instance) {
        $title = esc_attr(isset($instance['title']) ? $instance['title'] : __('热门商品', 'tt'));
        $num = absint(isset($instance['num']) ? $instance['num'] : 5);
        ?>
        <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title：','tt'); ?><input class="input-lg" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
        <p><label for="<?php echo $this->get_field_id('num'); ?>"><?php _e('Number：','tt'); ?></label><input class="input-lg" id="<?php echo $this->get_field_id('num'); ?>" name="<?php echo $this->get_field_name('num'); ?>" type="text"  value="<?php echo $num; ?>" /></p>
        <?php
    }
}

/* 注册小工具 */
if ( ! function_exists( 'tt_register_widget_hot_reviewed_Product' ) ) {
    function tt_register_widget_hot_reviewed_Product() {
        register_widget( 'HotProduct' );
    }
}
add_action( 'widgets_init', 'tt_register_widget_hot_reviewed_Product' );